# Interface SublayerExtensionFactory

Creates new instances of mapping/support/SublayerExtensionFactory!SublayerExtensionFactory.

interface SublayerExtensionFactory {
create(properties: SublayerExtensionProperties, defaultSublayerType?: string): SublayerExtension<SublayerExtensionProperties>;
}

#### Implemented by

- DefaultSublayerExtensionFactory

#####
Index

### Methods

create

##
Methods

### create

- create(properties, defaultSublayerType?): SublayerExtension<SublayerExtensionProperties>

- Creates a mapping/_SublayerExtension!SublayerExtension from the given properties.

  #### Parameters

  - properties: SublayerExtensionProperties

    The SublayerExtension properties.

  - `Optional` defaultSublayerType: string

    Optionally specify the sublayerType to be created. (i.e. we are creating a child sublayer from a parent).

  #### Returns SublayerExtension<SublayerExtensionProperties>